Skip to main content
GET
/
cleemy-procurement
/
api
/
natures
/
{id}
Get Nature
curl --request GET \
  --url https://{host}/cleemy-procurement/api/natures/{id} \
  --header 'Authorization: <authorization>'
{
  "id": 123,
  "name": "<string>",
  "costFamily": {
    "id": 123,
    "name": "<string>"
  },
  "state": "Enabled",
  "accountingPlans": [
    {
      "id": 123,
      "chargeAccount": "<string>"
    }
  ]
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the nature.

Response

200 - application/json

OK

A purchase nature (category).

id
integer<int32>
name
string
costFamily
object

Read-only. Cost family of this nature.

state
enum<string>
Available options:
Enabled,
Disabled
accountingPlans
object[]

Accounting plans for this nature.